/* ---- q931 state machine table file ---- */

#include "cape.h"
#include "c:\bayfront\windev\examples\q931.h"

/* ---- action argument definitions ---- */
int error;    /* ?type? from action: 'suser_SetUpCompInd' */
int ok;    /* ?type? from action: 'suser_SetUpCompInd' */

/* Switch Return Value Table (indices into the Action Vector Table) */
static int q931_SwLblVect[] = {
   106,   107,          /* 'AckOption' */
    96,    97,          /* 'AckOption' */
    73,    74,          /* 'AckOption' */
    55,    56,          /* 'AckOption' */
   247,   248,          /* 'AnyTimersRunning' */
   250,   252,          /* 'CSZeroNonZero' */
   190,   191,          /* 'CSZeroNonZero' */
   272,   273,          /* 'CauseOption' */
   234,   235,          /* 'CauseOption' */
     9,    12,    13,          /* 'CheckSetUpMsg' */
     5,     6,     7,          /* 'CheckSetUpMsg' */
    15,    16,          /* 'CheckStatusCsField' */
   253,   254,          /* 'CompatibleStateCheck' */
   240,   241,   242,          /* 'DLOption' */
   244,   246,          /* 'DLRelOption' */
   184,   186,          /* 'FirstTimeOut' */
    46,    48,          /* 'FirstTimeOut' */
    67,    69,          /* 'ProgressType' */
   114,   115,          /* 'RejectOption' */
    24,    26,          /* 'RelOption' */
    17,    19,          /* 'RelOption' */
   270,   271,          /* 'StatusEnqOption' */
   232,   233,          /* 'StatusEnqOption' */
    59,    60,          /* 'TimerRunning' */
}; 

/* Indicies into the q931_SwLblVect array, # of return values */
static SWTBL q931_SwTbl[] = {
    {0, 2},
    {2, 2},
    {4, 2},
    {6, 2},
    {8, 2},
    {10, 2},
    {12, 2},
    {14, 2},
    {16, 2},
    {18, 3},
    {21, 3},
    {24, 2},
    {26, 2},
    {28, 3},
    {31, 2},
    {33, 2},
    {35, 2},
    {37, 2},
    {39, 2},
    {41, 2},
    {43, 2},
    {45, 2},
    {47, 2},
    {49, 2},
};

/* ---- Action routines which pass arguments ---- */

int FirstTimeOutT308(pECB)
void *pECB;
{ return(FirstTimeOut(T308,pECB)); }

int FirstTimeOutT303(pECB)
void *pECB;
{ return(FirstTimeOut(T303,pECB)); }

int RestartTimerT308(pECB)
void *pECB;
{ return(RestartTimer(T308,pECB)); }

int RestartTimerT304(pECB)
void *pECB;
{ return(RestartTimer(T304,pECB)); }

int StartTimerT309(pECB)
void *pECB;
{ return(StartTimer(T309,pECB)); }

int StartTimerT319(pECB)
void *pECB;
{ return(StartTimer(T319,pECB)); }

int StartTimerT313(pECB)
void *pECB;
{ return(StartTimer(T313,pECB)); }

int StartTimerT302(pECB)
void *pECB;
{ return(StartTimer(T302,pECB)); }

int StartTimerT310(pECB)
void *pECB;
{ return(StartTimer(T310,pECB)); }

int StartTimerT304(pECB)
void *pECB;
{ return(StartTimer(T304,pECB)); }

int StartTimerT305(pECB)
void *pECB;
{ return(StartTimer(T305,pECB)); }

int StartTimerT308(pECB)
void *pECB;
{ return(StartTimer(T308,pECB)); }

int StartTimerT303(pECB)
void *pECB;
{ return(StartTimer(T303,pECB)); }

int StartTimerT318(pECB)
void *pECB;
{ return(StartTimer(T318,pECB)); }

int StopTimerT309(pECB)
void *pECB;
{ return(StopTimer(T309,pECB)); }

int StopTimerT302(pECB)
void *pECB;
{ return(StopTimer(T302,pECB)); }

int StopTimerT308(pECB)
void *pECB;
{ return(StopTimer(T308,pECB)); }

int StopTimerT318(pECB)
void *pECB;
{ return(StopTimer(T318,pECB)); }

int StopTimerT319(pECB)
void *pECB;
{ return(StopTimer(T319,pECB)); }

int StopTimerT305(pECB)
void *pECB;
{ return(StopTimer(T305,pECB)); }

int StopTimerT313(pECB)
void *pECB;
{ return(StopTimer(T313,pECB)); }

int StopTimerT310(pECB)
void *pECB;
{ return(StopTimer(T310,pECB)); }

int StopTimerT304(pECB)
void *pECB;
{ return(StopTimer(T304,pECB)); }

int StopTimerT303(pECB)
void *pECB;
{ return(StopTimer(T303,pECB)); }

int TimerRunningT304(pECB)
void *pECB;
{ return(TimerRunning(T304,pECB)); }

int snet_Release0(pECB)
void *pECB;
{ return(snet_Release(0,pECB)); }

int snet_Release6(pECB)
void *pECB;
{ return(snet_Release(6,pECB)); }

int snet_Release81(pECB)
void *pECB;
{ return(snet_Release(81,pECB)); }

int snet_Release101(pECB)
void *pECB;
{ return(snet_Release(101,pECB)); }

int snet_ReleaseComp81(pECB)
void *pECB;
{ return(snet_ReleaseComp(81,pECB)); }

int snet_ReleaseComp0(pECB)
void *pECB;
{ return(snet_ReleaseComp(0,pECB)); }

int snet_ReleaseComp101(pECB)
void *pECB;
{ return(snet_ReleaseComp(101,pECB)); }

int snet_ReleaseComp100(pECB)
void *pECB;
{ return(snet_ReleaseComp(100,pECB)); }

int snet_ReleaseComp96(pECB)
void *pECB;
{ return(snet_ReleaseComp(96,pECB)); }

int snet_Status97(pECB)
void *pECB;
{ return(snet_Status(97,pECB)); }

int snet_Status98(pECB)
void *pECB;
{ return(snet_Status(98,pECB)); }

int snet_Status101(pECB)
void *pECB;
{ return(snet_Status(101,pECB)); }

int snet_Status0(pECB)
void *pECB;
{ return(snet_Status(0,pECB)); }

int suser_SetUpCompIndok(pECB)
void *pECB;
{ return(suser_SetUpCompInd(ok,pECB)); }

int suser_SetUpCompInderror(pECB)
void *pECB;
{ return(suser_SetUpCompInd(error,pECB)); }

int suser_SetUpConfok(pECB)
void *pECB;
{ return(suser_SetUpConf(ok,pECB)); }

int suser_SetUpConferror(pECB)
void *pECB;
{ return(suser_SetUpConf(error,pECB)); }

int suser_StatusIndok(pECB)
void *pECB;
{ return(suser_StatusInd(ok,pECB)); }

int suser_StatusInderror(pECB)
void *pECB;
{ return(suser_StatusInd(error,pECB)); }

int suser_SuspendConferror(pECB)
void *pECB;
{ return(suser_SuspendConf(error,pECB)); }

int suser_SuspendConfok(pECB)
void *pECB;
{ return(suser_SuspendConf(ok,pECB)); }


/* ---- q931 Action Vector Jump Table [MaxStates][MaxEvents] ---- */
static int q931_U00_Null[] = {
     23, 23, 23, 23, 23, 31, 23, 23, 23, 23, 23, 23, 23, 23, 30, 
     23, 29, 23, 23, 23, 23, 20, 22, 23, 23, 4, 23, 14, 27, 23, 
     23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 23, 28, 1, 8, 23, 
     23
};
static int q931_U01_CallInitiated[] = {
     212, 45, 212, 212, 212, 226, 212, 212, 212, 212, 50, 42, 212, 52, 225, 
     227, 224, 212, 212, 212, 212, 212, 39, 212, 212, 214, 36, 217, 216, 212, 
     212, 213, 212, 33, 32, 212, 212, 212, 212, 212, 212, 215, 212, 212, 212, 
     212
};
static int q931_U02_OverlapSending[] = {
     212, 212, 78, 212, 212, 88, 212, 212, 212, 212, 64, 61, 212, 70, 87, 
     83, 84, 212, 81, 212, 66, 221, 220, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 212, 82, 57, 212, 212, 212, 212, 212, 75, 215, 212, 212, 212, 
     212
};
static int q931_U03_OutgoingCallProc[] = {
     212, 212, 212, 212, 212, 226, 98, 212, 212, 212, 91, 212, 212, 93, 225, 
     227, 224, 222, 219, 212, 89, 221, 220, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 212, 223, 218, 212, 212, 212, 212, 212, 101, 215, 212, 212, 212, 
     212
};
static int q931_U04_CallDelivered[] = {
     212, 212, 212, 212, 212, 226, 212, 212, 212, 212, 212, 212, 212, 104, 225, 
     227, 224, 222, 219, 212, 212, 221, 220, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 212, 223, 218, 212, 212, 212, 212, 212, 212, 215, 212, 212, 212, 
     212
};
static int q931_U06_CallPresent[] = {
     212, 212, 212, 212, 212, 226, 212, 212, 212, 212, 212, 212, 212, 212, 225, 
     227, 224, 120, 212, 212, 212, 117, 121, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 110, 212, 212, 108, 212, 116, 212, 113, 212, 215, 212, 212, 111, 
     212
};
static int q931_U07_CallReceived[] = {
     212, 212, 212, 212, 212, 230, 212, 212, 212, 212, 212, 212, 212, 212, 229, 
     212, 228, 222, 219, 212, 212, 221, 220, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 212, 223, 218, 212, 212, 212, 212, 212, 212, 215, 212, 212, 122, 
     212
};
static int q931_U08_ConReq[] = {
     212, 212, 212, 212, 212, 230, 212, 124, 212, 212, 212, 212, 127, 212, 229, 
     212, 228, 222, 219, 212, 212, 221, 220, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 212, 223, 218, 212, 212, 212, 212, 212, 212, 215, 212, 212, 212, 
     212
};
static int q931_U09_IncomingCallProc[] = {
     212, 212, 212, 212, 212, 230, 212, 212, 212, 212, 212, 212, 212, 212, 229, 
     212, 228, 222, 219, 212, 212, 221, 220, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 131, 223, 218, 212, 212, 212, 132, 212, 212, 215, 212, 212, 129, 
     212
};
static int q931_U10_Active[] = {
     212, 212, 212, 212, 212, 230, 212, 212, 212, 212, 212, 212, 212, 212, 229, 
     212, 228, 222, 219, 135, 212, 221, 220, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 212, 223, 218, 212, 136, 212, 212, 212, 212, 215, 212, 212, 212, 
     133
};
static int q931_U11_DiscReq[] = {
     212, 212, 212, 144, 212, 230, 212, 212, 212, 212, 212, 212, 212, 212, 229, 
     212, 228, 141, 219, 146, 212, 137, 147, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 212, 212, 218, 212, 212, 212, 212, 212, 212, 215, 212, 212, 212, 
     212
};
static int q931_U12_DiscInd[] = {
     212, 212, 212, 212, 212, 226, 212, 212, 212, 212, 212, 212, 212, 212, 225, 
     227, 224, 212, 219, 212, 212, 148, 153, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 212, 212, 218, 212, 212, 212, 212, 212, 151, 215, 212, 212, 212, 
     212
};
static int q931_U15_SuspendReq[] = {
     212, 212, 212, 212, 212, 226, 212, 212, 212, 165, 212, 212, 212, 212, 225, 
     227, 224, 159, 219, 212, 212, 161, 166, 212, 212, 214, 212, 217, 216, 154, 
     157, 213, 212, 212, 218, 212, 212, 212, 212, 212, 212, 215, 212, 212, 212, 
     212
};
static int q931_U17_ResumeReq[] = {
     212, 212, 212, 212, 212, 226, 212, 212, 172, 212, 212, 212, 212, 212, 225, 
     227, 224, 212, 212, 212, 212, 212, 176, 167, 169, 214, 212, 212, 175, 212, 
     212, 213, 212, 212, 212, 212, 212, 212, 212, 212, 212, 215, 212, 212, 212, 
     212
};
static int q931_U19_ReleaseReq[] = {
     212, 212, 212, 212, 183, 226, 212, 212, 212, 212, 212, 212, 212, 212, 225, 
     227, 224, 212, 212, 212, 212, 180, 177, 212, 212, 214, 212, 189, 193, 212, 
     212, 213, 212, 212, 212, 212, 212, 212, 212, 212, 212, 215, 212, 212, 212, 
     212
};
static int q931_U25_OverlapReceiving[] = {
     212, 212, 212, 212, 212, 211, 212, 212, 212, 212, 212, 212, 212, 212, 210, 
     206, 207, 222, 194, 212, 212, 221, 220, 212, 212, 214, 212, 217, 216, 212, 
     212, 213, 198, 223, 205, 212, 212, 196, 204, 212, 212, 215, 212, 212, 200, 
     212
};
static int *q931_StateEvent[] = {
        q931_U00_Null,
        q931_U01_CallInitiated,
        q931_U02_OverlapSending,
        q931_U03_OutgoingCallProc,
        q931_U04_CallDelivered,
        q931_U06_CallPresent,
        q931_U07_CallReceived,
        q931_U08_ConReq,
        q931_U09_IncomingCallProc,
        q931_U10_Active,
        q931_U11_DiscReq,
        q931_U12_DiscInd,
        q931_U15_SuspendReq,
        q931_U17_ResumeReq,
        q931_U19_ReleaseReq,
        q931_U25_OverlapReceiving
};

/* ---- Action Vector Table ---- */
static AAEntry    q931_ActArray[] = {
     /* Null Entry */     {0, 0, 0},    /* fcn, type, jmp or newstate */
     /* Action   1 */     {CallRefSelection, 1, 521},
     /* Action   2 */     {snet_Resume, 1, 521},
     /* Action   3 */     {StartTimerT318, 5, 13},
     /* Switch   4 */     {CheckSetUpMsg, 3, 10},
     /* Action   5 */     {suser_SetUpInd, 1, 5},
     /* Action   6 */     {snet_ReleaseComp96, 5, 520},
     /* Action   7 */     {snet_ReleaseComp100, 5, 520},
     /* Switch   8 */     {CheckSetUpMsg, 3, 9},
     /* Action   9 */     {CallRefSelection, 1, 521},
     /* Action  10 */     {snet_SetUp, 1, 521},
     /* Action  11 */     {StartTimerT303, 5, 1},
     /* Action  12 */     {snet_ReleaseComp96, 5, 520},
     /* Action  13 */     {snet_ReleaseComp100, 5, 520},
     /* Switch  14 */     {CheckStatusCsField, 3, 11},
     /* Action  15 */     {0, 2, 520},
     /* Switch  16 */     {RelOption, 3, 20},
     /* Action  17 */     {snet_Release101, 5, 521},
     /* Action  18 */     {StartTimerT308, 5, 14},
     /* Action  19 */     {snet_ReleaseComp101, 5, 520},
     /* Action  20 */     {snet_ReleaseComp0, 5, 521},
     /* Action  21 */     {RelCallRef, 1, 520},
     /* Action  22 */     {0, 2, 520},
     /* Switch  23 */     {RelOption, 3, 19},
     /* Action  24 */     {snet_Release81, 5, 521},
     /* Action  25 */     {StartTimerT308, 5, 14},
     /* Action  26 */     {snet_ReleaseComp81, 5, 520},
     /* Action  27 */     {snet_Status0, 5, 520},
     /* Goto    28 */     {0, 0, 263},
     /* Action  29 */     {0, 2, 520},
     /* Goto    30 */     {0, 0, 238},
     /* Goto    31 */     {0, 0, 267},
     /* Action  32 */     {SavePkt, 1, 520},
     /* Action  33 */     {snet_Disc, 1, 521},
     /* Action  34 */     {StopTimerT303, 5, 521},
     /* Action  35 */     {StartTimerT305, 5, 10},
     /* Action  36 */     {StopTimerT303, 5, 521},
     /* Action  37 */     {suser_MoreInfoInd, 1, 521},
     /* Action  38 */     {StartTimerT304, 5, 2},
     /* Action  39 */     {StopTimerT303, 5, 521},
     /* Action  40 */     {suser_RejectInd, 1, 521},
     /* Action  41 */     {RelCallRef, 1, 0},
     /* Action  42 */     {StopTimerT303, 5, 521},
     /* Action  43 */     {StartTimerT310, 5, 521},
     /* Action  44 */     {suser_ProcInd, 1, 3},
     /* Switch  45 */     {FirstTimeOutT303, 6, 16},
     /* Action  46 */     {snet_SetUp, 1, 521},
     /* Action  47 */     {StartTimerT303, 5, 520},
     /* Action  48 */     {suser_SetUpConferror, 5, 521},
     /* Action  49 */     {RelCallRef, 1, 0},
     /* Action  50 */     {StopTimerT303, 5, 521},
     /* Action  51 */     {suser_AlertingInd, 1, 4},
     /* Action  52 */     {StopTimerT303, 5, 521},
     /* Action  53 */     {suser_SetUpConfok, 5, 521},
     /* Switch  54 */     {AckOption, 3, 3},
     /* Action  55 */     {snet_ConnectAck, 1, 9},
     /* Action  56 */     {0, 2, 9},
     /* Action  57 */     {snet_Info, 1, 521},
     /* Switch  58 */     {TimerRunningT304, 6, 23},
     /* Action  59 */     {RestartTimerT304, 5, 520},
     /* Action  60 */     {StartTimerT304, 5, 520},
     /* Action  61 */     {StopTimerT304, 5, 521},
     /* Action  62 */     {StartTimerT310, 5, 521},
     /* Action  63 */     {suser_ProcInd, 1, 3},
     /* Action  64 */     {StopTimerT304, 5, 521},
     /* Action  65 */     {suser_AlertingInd, 1, 4},
     /* Switch  66 */     {ProgressType, 3, 17},
     /* Action  67 */     {StopTimerT304, 5, 521},
     /* Action  68 */     {suser_ProgressInd, 1, 520},
     /* Action  69 */     {suser_ProgressInd, 1, 520},
     /* Action  70 */     {StopTimerT304, 5, 521},
     /* Action  71 */     {suser_SetUpConfok, 5, 521},
     /* Switch  72 */     {AckOption, 3, 2},
     /* Action  73 */     {snet_ConnectAck, 1, 9},
     /* Action  74 */     {0, 2, 9},
     /* Action  75 */     {snet_Release6, 5, 521},
     /* Action  76 */     {StopTimerT304, 5, 521},
     /* Action  77 */     {StartTimerT308, 5, 14},
     /* Action  78 */     {snet_Disc, 1, 521},
     /* Action  79 */     {StartTimerT305, 5, 521},
     /* Action  80 */     {suser_SetUpConferror, 5, 10},
     /* Action  81 */     {suser_InfoInd, 1, 520},
     /* Goto    82 */     {0, 0, 236},
     /* Action  83 */     {suser_ErrorInd, 1, 520},
     /* Action  84 */     {suser_SetUpConferror, 5, 521},
     /* Action  85 */     {StopTimerT304, 5, 521},
     /* Action  86 */     {RelCallRef, 1, 0},
     /* Goto    87 */     {0, 0, 238},
     /* Goto    88 */     {0, 0, 267},
     /* Action  89 */     {StopTimerT310, 5, 521},
     /* Action  90 */     {suser_ProgressInd, 1, 520},
     /* Action  91 */     {StopTimerT310, 5, 521},
     /* Action  92 */     {suser_AlertingInd, 1, 4},
     /* Action  93 */     {StopTimerT310, 5, 521},
     /* Action  94 */     {suser_SetUpConfok, 5, 521},
     /* Switch  95 */     {AckOption, 3, 1},
     /* Action  96 */     {snet_ConnectAck, 1, 9},
     /* Action  97 */     {0, 2, 9},
     /* Action  98 */     {snet_Disc, 1, 521},
     /* Action  99 */     {StartTimerT305, 5, 521},
     /* Action 100 */     {suser_SetUpConferror, 5, 10},
     /* Action 101 */     {StopTimerT310, 5, 521},
     /* Action 102 */     {snet_Release6, 5, 521},
     /* Action 103 */     {StartTimerT308, 5, 14},
     /* Action 104 */     {suser_SetUpConfok, 5, 521},
     /* Switch 105 */     {AckOption, 3, 0},
     /* Action 106 */     {snet_ConnectAck, 1, 9},
     /* Action 107 */     {0, 2, 9},
     /* Action 108 */     {snet_SetUpAck, 1, 521},
     /* Action 109 */     {StartTimerT302, 5, 15},
     /* Action 110 */     {snet_Alerting, 1, 6},
     /* Action 111 */     {snet_Connect, 1, 521},
     /* Action 112 */     {StartTimerT313, 5, 7},
     /* Switch 113 */     {RejectOption, 3, 18},
     /* Action 114 */     {snet_ReleaseComp0, 5, 0},
     /* Action 115 */     {0, 2, 0},
     /* Action 116 */     {snet_CallProc, 1, 8},
     /* Action 117 */     {suser_ReleaseInd, 1, 521},
     /* Action 118 */     {snet_ReleaseComp0, 5, 521},
     /* Action 119 */     {RelCallRef, 1, 0},
     /* Action 120 */     {suser_DiscInd, 1, 11},
     /* Goto   121 */     {0, 0, 257},
     /* Action 122 */     {snet_Connect, 1, 521},
     /* Action 123 */     {StartTimerT313, 5, 7},
     /* Action 124 */     {snet_Disc, 1, 521},
     /* Action 125 */     {StartTimerT305, 5, 521},
     /* Action 126 */     {suser_SetUpCompInderror, 5, 10},
     /* Action 127 */     {StopTimerT313, 5, 521},
     /* Action 128 */     {suser_SetUpCompIndok, 5, 9},
     /* Action 129 */     {snet_Connect, 1, 521},
     /* Action 130 */     {StartTimerT313, 5, 7},
     /* Action 131 */     {snet_Alerting, 1, 6},
     /* Action 132 */     {snet_Progress, 1, 520},
     /* Action 133 */     {snet_Suspendcallid, 1, 521},
     /* Action 134 */     {StartTimerT319, 5, 12},
     /* Action 135 */     {suser_NotifyInd, 1, 520},
     /* Action 136 */     {snet_Notify, 1, 520},
     /* Action 137 */     {StopTimerT305, 5, 521},
     /* Action 138 */     {suser_ReleaseInd, 1, 521},
     /* Action 139 */     {snet_ReleaseComp0, 5, 521},
     /* Action 140 */     {RelCallRef, 1, 0},
     /* Action 141 */     {StopTimerT305, 5, 521},
     /* Action 142 */     {snet_Release0, 5, 521},
     /* Action 143 */     {StartTimerT308, 5, 14},
     /* Action 144 */     {snet_Release0, 5, 521},
     /* Action 145 */     {StartTimerT308, 5, 14},
     /* Action 146 */     {FS, 1, 520},
     /* Goto   147 */     {0, 0, 257},
     /* Action 148 */     {suser_ReleaseInd, 1, 521},
     /* Action 149 */     {snet_ReleaseComp0, 5, 521},
     /* Action 150 */     {RelCallRef, 1, 0},
     /* Action 151 */     {snet_Release0, 5, 521},
     /* Action 152 */     {StartTimerT308, 5, 14},
     /* Goto   153 */     {0, 0, 257},
     /* Action 154 */     {StopTimerT319, 5, 521},
     /* Action 155 */     {suser_SuspendConfok, 5, 521},
     /* Action 156 */     {RelCallRef, 1, 0},
     /* Action 157 */     {StopTimerT319, 5, 521},
     /* Action 158 */     {suser_SuspendConferror, 5, 9},
     /* Action 159 */     {StopTimerT319, 5, 521},
     /* Action 160 */     {suser_DiscInd, 1, 11},
     /* Action 161 */     {StopTimerT319, 5, 521},
     /* Action 162 */     {suser_ReleaseInd, 1, 521},
     /* Action 163 */     {snet_ReleaseComp0, 5, 521},
     /* Action 164 */     {RelCallRef, 1, 0},
     /* Action 165 */     {suser_SuspendConfok, 5, 9},
     /* Goto   166 */     {0, 0, 257},
     /* Action 167 */     {StopTimerT318, 5, 521},
     /* Action 168 */     {suser_ResumeConf, 1, 9},
     /* Action 169 */     {StopTimerT318, 5, 521},
     /* Action 170 */     {suser_ResumeConf, 1, 521},
     /* Action 171 */     {RelCallRef, 1, 0},
     /* Action 172 */     {suser_ResumeConf, 1, 521},
     /* Action 173 */     {snet_Release0, 5, 521},
     /* Action 174 */     {StartTimerT308, 5, 14},
     /* Action 175 */     {snet_Status0, 5, 520},
     /* Goto   176 */     {0, 0, 257},
     /* Action 177 */     {StopTimerT308, 5, 521},
     /* Action 178 */     {suser_ReleaseConf, 1, 521},
     /* Action 179 */     {RelCallRef, 1, 0},
     /* Action 180 */     {StopTimerT308, 5, 521},
     /* Action 181 */     {suser_ReleaseConf, 1, 521},
     /* Action 182 */     {RelCallRef, 1, 0},
     /* Switch 183 */     {FirstTimeOutT308, 6, 15},
     /* Action 184 */     {snet_Release0, 5, 521},
     /* Action 185 */     {RestartTimerT308, 5, 14},
     /* Action 186 */     {BChanMaintenance, 1, 521},
     /* Action 187 */     {suser_ReleaseConf, 1, 521},
     /* Action 188 */     {RelCallRef, 1, 0},
     /* Switch 189 */     {CSZeroNonZero, 3, 6},
     /* Action 190 */     {0, 2, 14},
     /* Action 191 */     {suser_StatusInderror, 5, 521},
     /* Action 192 */     {RelCallRef, 1, 0},
     /* Action 193 */     {snet_Status0, 5, 520},
     /* Action 194 */     {suser_InfoInd, 1, 521},
     /* Action 195 */     {StartTimerT302, 5, 15},
     /* Action 196 */     {StopTimerT302, 5, 521},
     /* Action 197 */     {snet_CallProc, 1, 8},
     /* Action 198 */     {StopTimerT302, 5, 521},
     /* Action 199 */     {snet_Alerting, 1, 6},
     /* Action 200 */     {StopTimerT302, 5, 521},
     /* Action 201 */     {snet_Connect, 1, 521},
     /* Action 202 */     {StartTimerT313, 5, 7},
     /* Action 203 */     {suser_TimeoutInd, 1, 15},
     /* Action 204 */     {snet_Progress, 1, 2},
     /* Action 205 */     {snet_Info, 1, 520},
     /* Action 206 */     {suser_ErrorInd, 1, 520},
     /* Action 207 */     {suser_RelInderror, 1, 521},
     /* Action 208 */     {StopTimerT302, 5, 521},
     /* Action 209 */     {RelCallRef, 1, 0},
     /* Goto   210 */     {0, 0, 238},
     /* Goto   211 */     {0, 0, 267},
     /* Goto   212 */     {0, 0, 231},
     /* Goto   213 */     {0, 0, 269},
     /* Action 214 */     {0, 2, 520},
     /* Goto   215 */     {0, 0, 263},
     /* Action 216 */     {snet_Status0, 5, 520},
     /* Goto   217 */     {0, 0, 249},
     /* Action 218 */     {snet_Info, 1, 520},
     /* Action 219 */     {suser_InfoInd, 1, 520},
     /* Goto   220 */     {0, 0, 257},
     /* Goto   221 */     {0, 0, 260},
     /* Action 222 */     {suser_DiscInd, 1, 11},
     /* Goto   223 */     {0, 0, 236},
     /* Goto   224 */     {0, 0, 243},
     /* Goto   225 */     {0, 0, 238},
     /* Goto   226 */     {0, 0, 267},
     /* Action 227 */     {0, 2, 520},
     /* Goto   228 */     {0, 0, 243},
     /* Goto   229 */     {0, 0, 238},
     /* Goto   230 */     {0, 0, 267},
     /* Switch 231 */     {StatusEnqOption, 3, 22},
     /* Action 232 */     {snet_StatusEnquiry, 1, 520},
     /* Switch 233 */     {CauseOption, 3, 8},
     /* Action 234 */     {snet_Status101, 5, 520},
     /* Action 235 */     {snet_Status98, 5, 520},
     /* Action 236 */     {snet_Disc, 1, 521},
     /* Action 237 */     {StartTimerT305, 5, 10},
     /* Action 238 */     {StopTimerT309, 5, 521},
     /* Switch 239 */     {DLOption, 3, 13},
     /* Action 240 */     {snet_Status0, 5, 520},
     /* Action 241 */     {snet_StatusEnquiry, 1, 520},
     /* Action 242 */     {0, 2, 520},
     /* Switch 243 */     {DLRelOption, 3, 14},
     /* Action 244 */     {StopAllTimers, 1, 521},
     /* Action 245 */     {RelCallRef, 1, 0},
     /* Switch 246 */     {AnyTimersRunning, 3, 4},
     /* Action 247 */     {StartTimerT309, 5, 520},
     /* Action 248 */     {snet_DL_Est_Rel, 1, 520},
     /* Switch 249 */     {CSZeroNonZero, 3, 5},
     /* Action 250 */     {RelCallRef, 1, 521},
     /* Action 251 */     {suser_StatusIndok, 5, 0},
     /* Switch 252 */     {CompatibleStateCheck, 3, 12},
     /* Action 253 */     {0, 2, 520},
     /* Action 254 */     {suser_StatusInderror, 5, 521},
     /* Action 255 */     {snet_Release0, 5, 521},
     /* Action 256 */     {StartTimerT308, 5, 14},
     /* Action 257 */     {StopAllTimers, 1, 521},
     /* Action 258 */     {suser_ReleaseInd, 1, 521},
     /* Action 259 */     {RelCallRef, 1, 0},
     /* Action 260 */     {suser_ReleaseInd, 1, 521},
     /* Action 261 */     {snet_ReleaseComp0, 5, 521},
     /* Action 262 */     {RelCallRef, 1, 0},
     /* Action 263 */     {StopAllTimers, 1, 521},
     /* Action 264 */     {suser_ReleaseInd, 1, 521},
     /* Action 265 */     {RelCallRef, 1, 521},
     /* Action 266 */     {suser_RestartConf, 1, 0},
     /* Action 267 */     {suser_DataLinkFailureInd, 1, 521},
     /* Action 268 */     {RelCallRef, 1, 0},
     /* Switch 269 */     {StatusEnqOption, 3, 21},
     /* Action 270 */     {snet_StatusEnquiry, 1, 520},
     /* Switch 271 */     {CauseOption, 3, 7},
     /* Action 272 */     {snet_Status97, 5, 520},
     /* Action 273 */     {snet_Status98, 5, 520},
};

/* ---- q931 state machine definitions ---- */
SM q931 = {
    q931_MaxStates,    /* max states */
    q931_MaxEvents,    /* max events */
    q931_ActArraySize, /* # of entries in the action array */
    q931_SwLblVect,    /* Switch return value ActArray indicies */
    q931_SwTbl,        /* SwLblVect index & # of rtn values */
    q931_StateEvent,   /* state/event to action vector tbl */
    q931_ActArray      /* action vector table */
};

